 code[class*=language-],
    pre[class*=language-] {
      color: #333;
      background: 0 0;
      font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
      text-align: left;
      white-space: pre;
      word-spacing: normal;
      word-break: normal;
      word-wrap: normal;
      line-height: 1.4;
      -moz-tab-size: 8;
      -o-tab-size: 8;
      tab-size: 8;
      -webkit-hyphens: none;
      -moz-hyphens: none;
      -ms-hyphens: none;
      hyphens: none
    }

    pre[class*=language-] {
      padding: .8em;
      overflow: auto;
      border-radius: 3px;
      background: #f5f5f5
    }

    :not(pre)>code[class*=language-] {
      padding: .1em;
      border-radius: .3em;
      white-space: normal;
      background: #f5f5f5
    }

    .token.blockquote,
    .token.comment {
      color: #969896
    }

    .token.cdata {
      color: #183691
    }

    .token.doctype,
    .token.macro.property,
    .token.punctuation,
    .token.variable {
      color: #333
    }

    .token.builtin,
    .token.important,
    .token.keyword,
    .token.operator,
    .token.rule {
      color: #a71d5d
    }

    .token.attr-value,
    .token.regex,
    .token.string,
    .token.url {
      color: #183691
    }

    .token.atrule,
    .token.boolean,
    .token.code,
    .token.command,
    .token.constant,
    .token.entity,
    .token.number,
    .token.property,
    .token.symbol {
      color: #0086b3
    }

    .token.prolog,
    .token.selector,
    .token.tag {
      color: #63a35c
    }

    .token.attr-name,
    .token.class,
    .token.class-name,
    .token.function,
    .token.id,
    .token.namespace,
    .token.pseudo-class,
    .token.pseudo-element,
    .token.url-reference .token.variable {
      color: #795da3
    }

    .token.entity {
      cursor: help
    }

    .token.title,
    .token.title .token.punctuation {
      font-weight: 700;
      color: #1d3e81
    }

    .token.list {
      color: #ed6a43
    }

    .token.inserted {
      background-color: #eaffea;
      color: #55a532
    }

    .token.deleted {
      background-color: #ffecec;
      color: #bd2c00
    }

    .token.bold {
      font-weight: 700
    }

    .token.italic {
      font-style: italic
    }

    .language-json .token.property {
      color: #183691
    }

    .language-markup .token.tag .token.punctuation {
      color: #333
    }

    .language-css .token.function,
    code.language-css {
      color: #0086b3
    }

    .language-yaml .token.atrule {
      color: #63a35c
    }

    code.language-yaml {
      color: #183691
    }

    .language-ruby .token.function {
      color: #333
    }

    .language-markdown .token.url {
      color: #795da3
    }

    .language-makefile .token.symbol {
      color: #795da3
    }

    .language-makefile .token.variable {
      color: #183691
    }

    .language-makefile .token.builtin {
      color: #0086b3
    }

    .language-bash .token.keyword {
      color: #0086b3
    }

    pre[data-line] {
      position: relative;
      padding: 1em 0 1em 3em
    }

    pre[data-line] .line-highlight-wrapper {
      position: absolute;
      top: 0;
      left: 0;
      background-color: transparent;
      display: block;
      width: 100%
    }

    pre[data-line] .line-highlight {
      position: absolute;
      left: 0;
      right: 0;
      padding: inherit 0;
      margin-top: 1em;
      background: hsla(24, 20%, 50%, .08);
      background: linear-gradient(to right, hsla(24, 20%, 50%, .1) 70%, hsla(24, 20%, 50%, 0));
      pointer-events: none;
      line-height: inherit;
      white-space: pre
    }

    pre[data-line] .line-highlight:before,
    pre[data-line] .line-highlight[data-end]:after {
      content: attr(data-start);
      position: absolute;
      top: .4em;
      left: .6em;
      min-width: 1em;
      padding: 0 .5em;
      background-color: hsla(24, 20%, 50%, .4);
      color: #f4f1ef;
      font: bold 65%/1.5 sans-serif;
      text-align: center;
      vertical-align: .3em;
      border-radius: 999px;
      text-shadow: none;
      box-shadow: 0 1px #fff
    }

    pre[data-line] .line-highlight[data-end]:after {
      content: attr(data-end);
      top: auto;
      bottom: .4em
    }
    
    .markdown-preview {
      width: 100%;
      height: 100%;
      box-sizing: border-box
    }

    .markdown-preview ul {
      list-style: disc
    }

    .markdown-preview ul ul {
      list-style: circle
    }

    .markdown-preview ul ul ul {
      list-style: square
    }

    .markdown-preview ol {
      list-style: decimal
    }

    .markdown-preview ol ol,
    .markdown-preview ul ol {
      list-style-type: lower-roman
    }

    .markdown-preview ol ol ol,
    .markdown-preview ol ul ol,
    .markdown-preview ul ol ol,
    .markdown-preview ul ul ol {
      list-style-type: lower-alpha
    }

    .markdown-preview .newpage,
    .markdown-preview .pagebreak {
      page-break-before: always
    }

    .markdown-preview pre.line-numbers {
      position: relative;
      padding-left: 3.8em;
      counter-reset: linenumber
    }

    .markdown-preview pre.line-numbers>code {
      position: relative
    }

    .markdown-preview pre.line-numbers .line-numbers-rows {
      position: absolute;
      pointer-events: none;
      top: 1em;
      font-size: 100%;
      left: 0;
      width: 3em;
      letter-spacing: -1px;
      border-right: 1px solid #999;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none
    }

    .markdown-preview pre.line-numbers .line-numbers-rows>span {
      pointer-events: none;
      display: block;
      counter-increment: linenumber
    }

    .markdown-preview pre.line-numbers .line-numbers-rows>span:before {
      content: counter(linenumber);
      color: #999;
      display: block;
      padding-right: .8em;
      text-align: right
    }

    .markdown-preview .mathjax-exps .MathJax_Display {
      text-align: center !important
    }

    .markdown-preview:not([data-for=preview]) .code-chunk .code-chunk-btn-group {
      display: none
    }

    .markdown-preview:not([data-for=preview]) .code-chunk .status {
      display: none
    }

    .markdown-preview:not([data-for=preview]) .code-chunk .output-div {
      margin-bottom: 16px
    }

    .markdown-preview .md-toc {
      padding: 0
    }

    .markdown-preview .md-toc .md-toc-link-wrapper .md-toc-link {
      display: inline;
      padding: .25rem 0
    }

    .markdown-preview .md-toc .md-toc-link-wrapper .md-toc-link div,
    .markdown-preview .md-toc .md-toc-link-wrapper .md-toc-link p {
      display: inline
    }

    .markdown-preview .md-toc .md-toc-link-wrapper.highlighted .md-toc-link {
      font-weight: 800
    }

    .scrollbar-style::-webkit-scrollbar {
      width: 8px
    }

    .scrollbar-style::-webkit-scrollbar-track {
      border-radius: 10px;
      background-color: transparent
    }

    .scrollbar-style::-webkit-scrollbar-thumb {
      border-radius: 5px;
      background-color: rgba(150, 150, 150, .66);
      border: 4px solid rgba(150, 150, 150, .66);
      background-clip: content-box
    }
